# Ticket

#### **Example**

```json
{
	"id": 255762,
	"title": "New car price list.",
	"message": "Hello I want to buy a new car, how can I get a price list?",
	"htmlMessage": "<div id=\"sb-message-8dbf66986449599\" class=\"sb-html-message\">Hello I want to buy a new car, how can I get a price list?</div>",
	"author": {
		"customIdentifier": null,
		"email": "bill_smith@gmail.com",
		"id": "3561ab34-b6bd-4998-97e6-4ad5a58a89e8",
		"image": null,
		"isBot": false,
		"name": "Bill Smith",
		"status": "client"
	},
	"category": null,
	"creationTime": "2023-12-06T17:42:07.7888252+03:00",
    "customFields": [],
	"lastThreadElementCreationTime": "2023-12-06T17:42:07.7888252+03:00",
	"lockedBy": null,
	"originalLink": null,
	"properties": {
		"isAnonymized": false,
		"isMuted": false,
		"hasAttachments": true,
		"hasDraft": false,
		"isAssignedToBot": false,
		"isDeleted": false,
		"isExpired": false,
		"isHidden": false,
		"isLocked": false,
		"isSpam": false,
		"isSensitive": false
	},
	"replyCount": 0,
	"isMuted": false,
	"sentiment": "question",
	"source": "web",
	"detailedSource": "web_website",
	"sourceName": null,
	"status": "open",
	"tags": [],
	"attachments": [
		{
			"isContentPart": false,
			"name": "filename.png",
			"url": "https://your.attachment.url/filename.png"
		}
	]
}
```

#### Fields

<table><thead><tr><th width="291.3333333333333">Field</th><th>Type</th><th>Comments</th></tr></thead><tbody><tr><td>attachments</td><td>array of <a href="/pages/-LwD154vGbIRBumcPB3x">Base Attachment</a> models</td><td>Ticket attachments</td></tr><tr><td>author</td><td><a href="/pages/NZcNrQjPAADf8ztnO6dI">User</a> model</td><td>Ticket creator</td></tr><tr><td>category</td><td><a href="/pages/-LwBxMQ-KTt75eGHuHz0">Category</a> model</td><td>Ticket category. If null ticket has no category</td></tr><tr><td>creationTime</td><td>string</td><td>Indicates the time when the ticket was created. Represent datetime string in ISO 8601 format</td></tr><tr><td>customFields</td><td>array of <a href="/pages/-LwD2bOJvA6Dw6s0J64m">array of Custom Field Id with Value models</a> models</td><td>Ticket custom fields</td></tr><tr><td>detailedSource</td><td><a href="/pages/3l2RgvqwkvhSmF9ixOLP">Detailed Ticket Source</a> enumeration</td><td>Indicates detailed ticket source</td></tr><tr><td>htmlMessage</td><td>string</td><td>Ticket html content</td></tr><tr><td>id</td><td>integer</td><td>Unique ticket id</td></tr><tr><td>lastThreadElementCreationTime</td><td>string</td><td>Indicates the time when the most recent element in a thread was created. Represent datetime string in ISO 8601 format</td></tr><tr><td>lockedBy</td><td><a href="/pages/NZcNrQjPAADf8ztnO6dI">User</a> model</td><td>Teammate who assigned to the ticket</td></tr><tr><td>message</td><td>string</td><td>Ticket text content</td></tr><tr><td>originalLink</td><td>string</td><td>Permanent link or URL to the post if ticket created from SoMe source; if not, will be null</td></tr><tr><td>properties</td><td><a href="/pages/3nPQ6W4KQmemsyJCVEVQ">Ticket Properties</a> model</td><td>Properties or attributes associated with a ticket</td></tr><tr><td>replyCount</td><td>integer</td><td>Indicates the total count of replies in the ticket</td></tr><tr><td>sentiment</td><td><a href="/pages/-LwD3upCSM4KpnGHMIIq">Sentiment</a> enumeration</td><td>Ticket sentiment</td></tr><tr><td>source</td><td><a href="/pages/uMvahban7dP1JbL9r4vd">Ticket Source</a> enumeration</td><td>Indicates general ticket source</td></tr><tr><td>sourceName</td><td>string</td><td>Indicates the specific source where ticket from (e.g., page post, mention, group post, review, etc)</td></tr><tr><td>status</td><td><a href="/pages/-M1RhcF2myI3gAPheVMN">Ticket Status</a> enumeration</td><td>Current ticket status</td></tr><tr><td>tags</td><td>array of strings</td><td>Attached ticket tags</td></tr><tr><td>title</td><td>string</td><td>Ticket title</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/ticket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
